h31232
s 00032/00000/00000
d D 1.1 82/08/03 08:49:34 cecily 1 0
e
u
U
t
T
I 1
unlink	title	unix c svc library -- unlink

.unlink	equ	10

	entry	unlink
r0	equ	0
rf	equ	15
sp	equ	7
*
	impur
unlksvc	equ	*
	svc	0,.unlink
fname	dc	a(*-*)
*
	pure
unlink	equ	*
	l	r0,0(sp)	fname
	st	r0,fname
	svc	0,0
	dc	a(unlksvc)
	bc	error
	lis	r0,0		normal return
	br	rf
error	equ	*
	st	r0,errno
	lcs	r0,1		error return
	br	rf

errno	comn
	das	1
	ends
	end
E 1
